/* ======================================================================== *
 * IMGLIB -- TI Image and Video Processing Library                          *
 *                                                                          *
 *                                                                          *
 * Copyright (C) 2012 Texas Instruments Incorporated - http://www.ti.com/   *
 *                                                                          *
 *                                                                          *
 *  Redistribution and use in source and binary forms, with or without      *
 *  modification, are permitted provided that the following conditions      *
 *  are met:                                                                *
 *                                                                          *
 *    Redistributions of source code must retain the above copyright        *
 *    notice, this list of conditions and the following disclaimer.         *
 *                                                                          *
 *    Redistributions in binary form must reproduce the above copyright     *
 *    notice, this list of conditions and the following disclaimer in the   *
 *    documentation and/or other materials provided with the                *
 *    distribution.                                                         *
 *                                                                          *
 *    Neither the name of Texas Instruments Incorporated nor the names of   *
 *    its contributors may be used to endorse or promote products derived   *
 *    from this software without specific prior written permission.         *
 *                                                                          *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
 * ======================================================================== */

int in_data[] = {
/* Test data for kernel size : 11 x 11 
 * kernel size */
 11,

/* Alignment data.
 * 0 = double word, 4 = word, 2 = half word, 1 = byte alignment respectively.
 * src align, mask align, dst align */
0, 2, 0,

/* Function parameters : 1 */
/* use_for_cycle_estimate, width, pitch, shift, in_size, out_size */
0, 4, 14, 13, 154, 4,

/* Image data : 1 */
 5922, -13139, -18818, -3893, -3329, 734, -11470, -24399, -13048, -25514, 10443, 23722, 606, 21328,
 -18128, -31820, 6739, -30362, 19279, 21135, 26017, -20263, -14408, -14850, 16396, -27988, 28722, -20978,
 -3095, -31140, 16604, -25709, 12465, 7653, 16069, 24657, 7659, -30891, -3306, 23798, -15273, 2506,
 10834, 8651, 8557, -19117, -21978, -30471, 2343, 22422, 16558, -16394, 6622, 3418, 17947, -25966,
 -30429, -31255, -27685, 21185, -16864, -32349, -7789, 7654, 29299, -20262, 23731, -22422, -19783, -6582,
 30451, -24757, 8637, -7688, 6892, -5543, 31371, -10506, -10653, -10032, -9416, -15605, -28814, -442,
 20433, 3822, 2422, 22667, -31959, 25363, 21630, -16624, 2504, 18860, 11174, 4031, -30294, -31029,
 3054, 12885, 5740, 5429, -6379, 30861, 5187, -25678, 15248, -17559, -20779, -9177, 1634, 28382,
 5556, -32103, 107, 26798, -197, 32756, 11557, -12973, 24750, -1578, 8330, 26048, 332, -11927,
 -17341, 1688, 24583, 26488, -28652, -30004, -3205, -2072, 12378, 28411, 17514, 15744, 13759, 25188,
 -10155, -9480, 22004, -261, 1821, 19149, -4209, -19326, 22104, 16487, 32697, -17937, -22716, -31803,

/* mask : 1 */
 -15, -14, -13, -12, -11, -10, -9, -8, -7, -6, -5,
 -4, -3, -2, -1, 0, 1, 2, 3, 4, 5, 6,
 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17,
 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28,
 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39,
 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50,
 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61,
 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72,
 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83,
 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94,
 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105,

/* Function parameters : 2 */
/* use_for_cycle_estimate, width, pitch, shift, in_size, out_size */
1, 32, 42, 17, 462, 32,

/* Image data : 2 */
 9258, 31178, 25877, -3334, -15840, 8698, -30139, 9764, 22931, 25198, -270, -2359, -12287, -28902, 25802, -112, 28302, -5369, 2814, 13821, 14283, -12928, -29056, -18460, -1912, 28142, -29550, 25906, -18019, -22690, -7281, -27577, -15054, 202, -3073, 8329, -10217, 13899, 28040, 4378, -14610, 16696,
 16347, -18716, 15928, -4658, -14923, -29853, -10575, -4888, -15870, 13364, -14905, 490, -198, -852, 3996, 19276, 7444, 13419, -14302, 28609, -12237, -22040, 31865, -5712, -18291, 4448, -16687, -24231, -9939, -4212, -11513, -19257, 26662, -6766, -1619, 4585, -11065, 30454, -406, -11774, 4727, -20429,
 15035, 5828, -16965, 22533, 1894, 7324, 2886, -27958, -1521, 15150, -30757, -28555, 7918, -30055, -21421, -32446, -1285, 17852, 18906, -9999, -11459, -12831, -5941, 15477, 16705, -22451, 29172, -3671, 14704, -17570, 28953, -31320, 30543, -9900, -4712, -2790, 27118, 4659, -10831, -29436, 23134, -10193,
 -14006, -18164, 18512, -25859, -21472, 9494, 11732, -162, -6930, 17170, 17066, 3911, -20036, 12203, 25927, -3090, -29661, 10184, -30137, -17604, 20628, 22761, 22304, 7450, 12654, 29841, 19941, -26868, -8203, 9087, 9737, -8317, -13773, 6039, -24141, -27904, -27222, -10302, 29786, 2379, -16562, -7404,
 5032, -7654, 27547, 28686, 32662, -10197, -16575, 31551, -19532, 23080, -18051, -69, -18885, 28454, 2942, 28144, 19874, -12066, 17792, 16245, 7279, 14998, 481, -20435, 7795, -7752, 5175, -20097, 22309, 19809, 4079, -2708, -5472, -18575, -11553, -10636, -7584, -5693, -19903, 7428, -20085, 12933,
 30547, -384, 28413, -26872, 27826, -10011, 21318, 32291, -11539, 563, -22959, 26701, -1731, 16913, 28964, -14266, -19154, -30077, -16947, 7331, -15261, 15715, 27751, 26749, 6788, 5745, 10447, 6637, 20018, 10835, 9230, -30420, -29108, 15967, 8714, 28321, 9430, -1888, -8285, 334, -129, -9934,
 -10376, -27860, -17267, -25231, 4915, -16744, 13873, 8086, -7314, 17156, 3414, -30585, 9999, 31862, -10292, 22774, -14504, -19642, -4498, 531, 10101, 16769, -11895, -3892, -13361, 22850, 15621, 8055, -12640, -23309, 1464, -27960, 8566, -11764, -24489, -2169, 18513, -5084, 24124, -15109, -3843, 22856,
 4527, 8862, -15279, 19574, -27774, -6335, -10849, -27255, 16040, -19500, -22816, 26100, 16575, 14194, -27750, 26109, 18910, -24447, 25732, 11610, 32637, 28061, 29642, -16186, 26506, -8522, 11387, -19028, -30169, 13707, 27607, -26848, -19710, -969, -14635, -9747, -22436, 14403, -24503, 10375, 25975, -23214,
 -7292, -26411, -27632, -13160, 21198, 25263, -26364, 27222, 29944, 4658, -15528, 29084, -16005, 9272, 25238, -21213, 28262, 28880, 1138, -28711, -3787, 19039, -8232, -5403, -27560, -26858, 22298, 12844, -145, 7448, -5294, -10919, 15528, -26068, -9420, 19519, 12153, -14213, -1255, -13480, 29623, -23210,
 -8269, -9805, -16625, 3924, 25017, -9538, -3355, 6772, 24259, -29973, -13252, -25946, 25445, -10050, -32555, -12421, -6491, 19678, -16418, 2626, -8087, -27238, -14097, 24418, 8786, 3237, 29167, -11087, -14454, 7237, 15998, -9240, 6958, -23750, 18308, -18592, -18854, -1332, 15715, 7810, -6365, -22767,
 31777, -28023, 32122, 25883, -14002, -11591, -22491, -15510, 28942, 11526, -31893, 845, 31528, -29598, 12981, 31189, 29635, 27736, -23793, 21779, 5844, -15884, -23229, 2421, 17163, 15533, 7422, -15224, 15163, -6945, -16461, 31085, 25326, 13850, 8696, -601, -8293, 30756, 10778, 2311, -20092, 26909,

/* mask : 2 */
 3493, 3965, 3738, 7835, 6985, 2810, 7392, 348, 5357, 4076, 1403,
 4268, 4434, 3543, 3730, 7583, 10, 7877, 6857, 7456, 4527, 83,
 4683, 5676, 676, 1042, 7376, 4975, 7759, 4051, 7627, 5134, 2931,
 6002, 5051, 1405, 4389, 2209, 6785, 7909, 5997, 6625, 5903, 1180,
 5433, 4715, 3046, 5771, 7965, 6107, 5430, 3169, 1095, 7635, 4271,
 3233, 7471, 2267, 5039, 1703, 3918, 2887, 421, 4603, 5337, 5558,
 4482, 182, 1892, 6714, 7507, 5343, 873, 3258, 1141, 5184, 3328,
 6958, 3061, 8062, 6448, 208, 5963, 1139, 7174, 455, 6370, 8039,
 1145, 2153, 8114, 6101, 6253, 2967, 6183, 7888, 8003, 1991, 6423,
 3124, 2924, 4834, 4866, 1402, 2442, 2398, 6128, 3526, 3708, 2391,
 6181, 2777, 935, 175, 6578, 3588, 1246, 1574, 919, 6564, 7402,

/* Function parameters : 3 */
/* use_for_cycle_estimate, width, pitch, shift, in_size, out_size */
1, 12, 22, 16, 242, 12,

/* Image data : 3 */
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,

/* mask : 3 */
 -157, 199, -1071, -421, -616, -637, -66, 480, -21, 82, 320,
 245, -930, -268, -187, 977, 206, -217, -71, -1310, -1450, -446,
 402, 29, -348, -274, 734, 412, -438, -424, -213, -34, -882,
 -1657, -530, 875, -566, 479, 356, 124, -318, -272, -770, -787,
 66, 188, 805, -560, 44, 525, 841, -638, -1040, -365, -4,
 -422, 165, -980, 330, 245, -4, 388, 48, -23, -982, -727,
 -997, -1014, -206, -372, -418, 69, -236, -264, -26, -523, -796,
 -280, -512, 577, -378, -748, -334, 606, 540, -794, -206, -127,
 895, -97, 764, -317, -396, 484, -294, -442, -654, -384, -470,
 468, -690, -171, -281, -1780, 260, 197, -464, -1597, -752, 28,
 133, -549, 337, -414, -254, -976, 576, -185, -1186, -1684, -122,

/* Function parameters : 4 */
/* use_for_cycle_estimate, width, pitch, shift, in_size, out_size */
0, 8, 18, 16, 198, 8,

/* Image data : 4 */
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,

/* mask : 4 */
 -157, 199, -1071, -421, -616, -637, -66, 480, -21, 82, 320,
 245, -930, -268, -187, 977, 206, -217, -71, -1310, -1450, -446,
 402, 29, -348, -274, 734, 412, -438, -424, -213, -34, -882,
 -1657, -530, 875, -566, 479, 356, 124, -318, -272, -770, -787,
 66, 188, 805, -560, 44, 525, 841, -638, -1040, -365, -4,
 -422, 165, -980, 330, 245, -4, 388, 48, -23, -982, -727,
 -997, -1014, -206, -372, -418, 69, -236, -264, -26, -523, -796,
 -280, -512, 577, -378, -748, -334, 606, 540, -794, -206, -127,
 895, -97, 764, -317, -396, 484, -294, -442, -654, -384, -470,
 468, -690, -171, -281, -1780, 260, 197, -464, -1597, -752, 28,
 133, -549, 337, -414, -254, -976, 576, -185, -1186, -1684, -122,

/* Function parameters : 5 */
/* use_for_cycle_estimate, width, pitch, shift, in_size, out_size */
1, 40, 50, 16, 550, 40,

/* Image data : 5 */
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,

/* mask : 5 */
 615, 541, 541, 541, 541, 541, 541, 541, 541, 541, 541,
 541, 541, 541, 541, 541, 541, 541, 541, 541, 541, 541,
 541, 541, 541, 541, 541, 541, 541, 541, 541, 541, 541,
 541, 541, 541, 541, 541, 541, 541, 541, 541, 541, 541,
 541, 541, 541, 541, 541, 541, 541, 541, 541, 541, 541,
 541, 541, 541, 541, 541, 541, 541, 541, 541, 541, 541,
 541, 541, 541, 541, 541, 541, 541, 541, 541, 541, 541,
 541, 541, 541, 541, 541, 541, 541, 541, 541, 541, 541,
 541, 541, 541, 541, 541, 541, 541, 541, 541, 541, 541,
 541, 541, 541, 541, 541, 541, 541, 541, 541, 541, 541,
 541, 541, 541, 541, 541, 541, 541, 541, 541, 541, 541,

/* Function parameters : 6 */
/* use_for_cycle_estimate, width, pitch, shift, in_size, out_size */
0, 4, 14, 11, 154, 4,

/* Image data : 6 */
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,

/* mask : 6 */
 32767, 32767, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,

/* Function parameters : 7 */
/* use_for_cycle_estimate, width, pitch, shift, in_size, out_size */
1, 12, 22, 16, 242, 12,

/* Image data : 7 */
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,

/* mask : 7 */
 -32767, -32768, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,

/* Function parameters : 8 */
/* use_for_cycle_estimate, width, pitch, shift, in_size, out_size */
1, 16, 26, 16, 286, 16,

/* Image data : 8 */
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,

/* mask : 8 */
 -32767, -32768, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
};

int testcases = 8;
