/* ======================================================================== *
 * IMGLIB -- TI Image and Video Processing Library                          *
 *                                                                          *
 *                                                                          *
 * Copyright (C) 2012 Texas Instruments Incorporated - http://www.ti.com/   *
 *                                                                          *
 *                                                                          *
 *  Redistribution and use in source and binary forms, with or without      *
 *  modification, are permitted provided that the following conditions      *
 *  are met:                                                                *
 *                                                                          *
 *    Redistributions of source code must retain the above copyright        *
 *    notice, this list of conditions and the following disclaimer.         *
 *                                                                          *
 *    Redistributions in binary form must reproduce the above copyright     *
 *    notice, this list of conditions and the following disclaimer in the   *
 *    documentation and/or other materials provided with the                *
 *    distribution.                                                         *
 *                                                                          *
 *    Neither the name of Texas Instruments Incorporated nor the names of   *
 *    its contributors may be used to endorse or promote products derived   *
 *    from this software without specific prior written permission.         *
 *                                                                          *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
 * ======================================================================== */

int in_data[] = {
/* Alignment data.
 * 0 = double word, 4 = word, 2 = half word, 1 = byte alignment respectively.
 * src align, dst align */
0, 0,

/* Function parameters : 1 */
/* use_for_cycle_estimate, cols, rows, threshold, dat_size (in, out) */
0, 4, 16, 1, 64,

/* Input data : 1 */
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 
 0, 0, 0, 0, 

/* Function parameters : 2 */
/* use_for_cycle_estimate, cols, rows, threshold, dat_size (in, out) */
1, 6, 16, 0, 96,

/* Input data : 2 */
   0,  16,  32,  48,  64,  80,
   1,  17,  33,  49,  65,  81,
   2,  18,  34,  50,  66,  82,
   3,  19,  35,  51,  67,  83,
   4,  20,  36,  52,  68,  84,
   5,  21,  37,  53,  69,  85,
   6,  22,  38,  54,  70,  86,
   7,  23,  39,  55,  71,  87,
   8,  24,  40,  56,  72,  88,
   9,  25,  41,  57,  73,  89,
  10,  26,  42,  58,  74,  90,
  11,  27,  43,  59,  75,  91,
  12,  28,  44,  60,  76,  92,
  13,  29,  45,  61,  77,  93,
  14,  30,  46,  62,  78,  94,
  15,  31,  47,  63,  79,  95,

/* Function parameters : 3 */
/* use_for_cycle_estimate, cols, rows, threshold, dat_size (in, out) */
1, 8, 16, 55, 128,

/* Input data : 3 */
   0,  16,  32,  48,  64,  80,  96, 112, 
   1,  17,  33,  49,  65,  81,  97, 113, 
   2,  18,  34,  50,  66,  82,  98, 114, 
   3,  19,  35,  51,  67,  83,  99, 115, 
   4,  20,  36,  52,  68,  84, 100, 116, 
   5,  21,  37,  53,  69,  85, 101, 117, 
   6,  22,  38,  54,  70,  86, 102, 118, 
   7,  23,  39,  55,  71,  87, 103, 119, 
   8,  24,  40,  56,  72,  88, 104, 120, 
   9,  25,  41,  57,  73,  89, 105, 121, 
  10,  26,  42,  58,  74,  90, 106, 122, 
  11,  27,  43,  59,  75,  91, 107, 123, 
  12,  28,  44,  60,  76,  92, 108, 124, 
  13,  29,  45,  61,  77,  93, 109, 125, 
  14,  30,  46,  62,  78,  94, 110, 126, 
  15,  31,  47,  63,  79,  95, 111, 127, 

/* Function parameters : 4 */
/* use_for_cycle_estimate, cols, rows, threshold, dat_size (in, out) */
1, 12, 16, 55, 192,

/* Input data : 4 */
   0,  16,  32,  48,  64,  80,  96, 112, 128, 144, 160, 176, 
   1,  17,  33,  49,  65,  81,  97, 113, 129, 145, 161, 177, 
   2,  18,  34,  50,  66,  82,  98, 114, 130, 146, 162, 178, 
   3,  19,  35,  51,  67,  83,  99, 115, 131, 147, 163, 179, 
   4,  20,  36,  52,  68,  84, 100, 116, 132, 148, 164, 180, 
   5,  21,  37,  53,  69,  85, 101, 117, 133, 149, 165, 181, 
   6,  22,  38,  54,  70,  86, 102, 118, 134, 150, 166, 182, 
   7,  23,  39,  55,  71,  87, 103, 119, 135, 151, 167, 183, 
   8,  24,  40,  56,  72,  88, 104, 120, 136, 152, 168, 184, 
   9,  25,  41,  57,  73,  89, 105, 121, 137, 153, 169, 185, 
  10,  26,  42,  58,  74,  90, 106, 122, 138, 154, 170, 186, 
  11,  27,  43,  59,  75,  91, 107, 123, 139, 155, 171, 187, 
  12,  28,  44,  60,  76,  92, 108, 124, 140, 156, 172, 188, 
  13,  29,  45,  61,  77,  93, 109, 125, 141, 157, 173, 189, 
  14,  30,  46,  62,  78,  94, 110, 126, 142, 158, 174, 190, 
  15,  31,  47,  63,  79,  95, 111, 127, 143, 159, 175, 191, 

/* Function parameters : 5 */
/* use_for_cycle_estimate, cols, rows, threshold, dat_size (in, out) */
1, 16, 16, 128, 256,

/* Input data : 5 */
   0,  16,  32,  48,  64,  80,  96, 112, 128, 144, 160, 176, 192, 208, 224, 240,
   1,  17,  33,  49,  65,  81,  97, 113, 129, 145, 161, 177, 193, 209, 225, 241,
   2,  18,  34,  50,  66,  82,  98, 114, 130, 146, 162, 178, 194, 210, 226, 242,
   3,  19,  35,  51,  67,  83,  99, 115, 131, 147, 163, 179, 195, 211, 227, 243,
   4,  20,  36,  52,  68,  84, 100, 116, 132, 148, 164, 180, 196, 212, 228, 244,
   5,  21,  37,  53,  69,  85, 101, 117, 133, 149, 165, 181, 197, 213, 229, 245,
   6,  22,  38,  54,  70,  86, 102, 118, 134, 150, 166, 182, 198, 214, 230, 246,
   7,  23,  39,  55,  71,  87, 103, 119, 135, 151, 167, 183, 199, 215, 231, 247,
   8,  24,  40,  56,  72,  88, 104, 120, 136, 152, 168, 184, 200, 216, 232, 248,
   9,  25,  41,  57,  73,  89, 105, 121, 137, 153, 169, 185, 201, 217, 233, 249,
  10,  26,  42,  58,  74,  90, 106, 122, 138, 154, 170, 186, 202, 218, 234, 250,
  11,  27,  43,  59,  75,  91, 107, 123, 139, 155, 171, 187, 203, 219, 235, 251,
  12,  28,  44,  60,  76,  92, 108, 124, 140, 156, 172, 188, 204, 220, 236, 252,
  13,  29,  45,  61,  77,  93, 109, 125, 141, 157, 173, 189, 205, 221, 237, 253,
  14,  30,  46,  62,  78,  94, 110, 126, 142, 158, 174, 190, 206, 222, 238, 254,
  15,  31,  47,  63,  79,  95, 111, 127, 143, 159, 175, 191, 207, 223, 239, 255,

/* Function parameters : 6 */
/* use_for_cycle_estimate, cols, rows, threshold, dat_size (in, out) */
1, 16, 48, 255, 768,

/* Input data : 6 */
   0,  16,  32,  48,  64,  80,  96, 112, 128, 144, 160, 176, 192, 208, 224, 240,
   1,  17,  33,  49,  65,  81,  97, 113, 129, 145, 161, 177, 193, 209, 225, 241,
   2,  18,  34,  50,  66,  82,  98, 114, 130, 146, 162, 178, 194, 210, 226, 242,
   3,  19,  35,  51,  67,  83,  99, 115, 131, 147, 163, 179, 195, 211, 227, 243,
   4,  20,  36,  52,  68,  84, 100, 116, 132, 148, 164, 180, 196, 212, 228, 244,
   5,  21,  37,  53,  69,  85, 101, 117, 133, 149, 165, 181, 197, 213, 229, 245,
   6,  22,  38,  54,  70,  86, 102, 118, 134, 150, 166, 182, 198, 214, 230, 246,
   7,  23,  39,  55,  71,  87, 103, 119, 135, 151, 167, 183, 199, 215, 231, 247,
   8,  24,  40,  56,  72,  88, 104, 120, 136, 152, 168, 184, 200, 216, 232, 248,
   9,  25,  41,  57,  73,  89, 105, 121, 137, 153, 169, 185, 201, 217, 233, 249,
  10,  26,  42,  58,  74,  90, 106, 122, 138, 154, 170, 186, 202, 218, 234, 250,
  11,  27,  43,  59,  75,  91, 107, 123, 139, 155, 171, 187, 203, 219, 235, 251,
  12,  28,  44,  60,  76,  92, 108, 124, 140, 156, 172, 188, 204, 220, 236, 252,
  13,  29,  45,  61,  77,  93, 109, 125, 141, 157, 173, 189, 205, 221, 237, 253,
  14,  30,  46,  62,  78,  94, 110, 126, 142, 158, 174, 190, 206, 222, 238, 254,
  15,  31,  47,  63,  79,  95, 111, 127, 143, 159, 175, 191, 207, 223, 239, 255,
   0,  16,  32,  48,  64,  80,  96, 112, 128, 144, 160, 176, 192, 208, 224, 240,
   1,  17,  33,  49,  65,  81,  97, 113, 129, 145, 161, 177, 193, 209, 225, 241,
   2,  18,  34,  50,  66,  82,  98, 114, 130, 146, 162, 178, 194, 210, 226, 242,
   3,  19,  35,  51,  67,  83,  99, 115, 131, 147, 163, 179, 195, 211, 227, 243,
   4,  20,  36,  52,  68,  84, 100, 116, 132, 148, 164, 180, 196, 212, 228, 244,
   5,  21,  37,  53,  69,  85, 101, 117, 133, 149, 165, 181, 197, 213, 229, 245,
   6,  22,  38,  54,  70,  86, 102, 118, 134, 150, 166, 182, 198, 214, 230, 246,
   7,  23,  39,  55,  71,  87, 103, 119, 135, 151, 167, 183, 199, 215, 231, 247,
   8,  24,  40,  56,  72,  88, 104, 120, 136, 152, 168, 184, 200, 216, 232, 248,
   9,  25,  41,  57,  73,  89, 105, 121, 137, 153, 169, 185, 201, 217, 233, 249,
  10,  26,  42,  58,  74,  90, 106, 122, 138, 154, 170, 186, 202, 218, 234, 250,
  11,  27,  43,  59,  75,  91, 107, 123, 139, 155, 171, 187, 203, 219, 235, 251,
  12,  28,  44,  60,  76,  92, 108, 124, 140, 156, 172, 188, 204, 220, 236, 252,
  13,  29,  45,  61,  77,  93, 109, 125, 141, 157, 173, 189, 205, 221, 237, 253,
  14,  30,  46,  62,  78,  94, 110, 126, 142, 158, 174, 190, 206, 222, 238, 254,
  15,  31,  47,  63,  79,  95, 111, 127, 143, 159, 175, 191, 207, 223, 239, 255,
   0,  16,  32,  48,  64,  80,  96, 112, 128, 144, 160, 176, 192, 208, 224, 240,
   1,  17,  33,  49,  65,  81,  97, 113, 129, 145, 161, 177, 193, 209, 225, 241,
   2,  18,  34,  50,  66,  82,  98, 114, 130, 146, 162, 178, 194, 210, 226, 242,
   3,  19,  35,  51,  67,  83,  99, 115, 131, 147, 163, 179, 195, 211, 227, 243,
   4,  20,  36,  52,  68,  84, 100, 116, 132, 148, 164, 180, 196, 212, 228, 244,
   5,  21,  37,  53,  69,  85, 101, 117, 133, 149, 165, 181, 197, 213, 229, 245,
   6,  22,  38,  54,  70,  86, 102, 118, 134, 150, 166, 182, 198, 214, 230, 246,
   7,  23,  39,  55,  71,  87, 103, 119, 135, 151, 167, 183, 199, 215, 231, 247,
   8,  24,  40,  56,  72,  88, 104, 120, 136, 152, 168, 184, 200, 216, 232, 248,
   9,  25,  41,  57,  73,  89, 105, 121, 137, 153, 169, 185, 201, 217, 233, 249,
  10,  26,  42,  58,  74,  90, 106, 122, 138, 154, 170, 186, 202, 218, 234, 250,
  11,  27,  43,  59,  75,  91, 107, 123, 139, 155, 171, 187, 203, 219, 235, 251,
  12,  28,  44,  60,  76,  92, 108, 124, 140, 156, 172, 188, 204, 220, 236, 252,
  13,  29,  45,  61,  77,  93, 109, 125, 141, 157, 173, 189, 205, 221, 237, 253,
  14,  30,  46,  62,  78,  94, 110, 126, 142, 158, 174, 190, 206, 222, 238, 254,
  15,  31,  47,  63,  79,  95, 111, 127, 143, 159, 175, 191, 207, 223, 239, 255,
};

int testcases = 6;
