/* ======================================================================== *
 * IMGLIB -- TI Image and Video Processing Library                          *
 *                                                                          *
 *                                                                          *
 * Copyright (C) 2012 Texas Instruments Incorporated - http://www.ti.com/   *
 *                                                                          *
 *                                                                          *
 *  Redistribution and use in source and binary forms, with or without      *
 *  modification, are permitted provided that the following conditions      *
 *  are met:                                                                *
 *                                                                          *
 *    Redistributions of source code must retain the above copyright        *
 *    notice, this list of conditions and the following disclaimer.         *
 *                                                                          *
 *    Redistributions in binary form must reproduce the above copyright     *
 *    notice, this list of conditions and the following disclaimer in the   *
 *    documentation and/or other materials provided with the                *
 *    distribution.                                                         *
 *                                                                          *
 *    Neither the name of Texas Instruments Incorporated nor the names of   *
 *    its contributors may be used to endorse or promote products derived   *
 *    from this software without specific prior written permission.         *
 *                                                                          *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS     *
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT       *
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR   *
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT    *
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   *
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT        *
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,   *
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY   *
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT     *
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE   *
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.    *
 * ======================================================================== */

int in_data[] = {
/* Test data for kernel size : 5 x 5 
 * kernel size */
 5,
/* Alignment data.
 * 0 = double word, 4 = word, 2 = half word, 1 = byte alignment respectively.
 * src align, mask align, dst align */
2, 2, 0,

/* Function parameters : 1 */
/* use_for_cycle_estimate, width, pitch, shift, round, in_size, out_size */
0, 2, 6, 9, 1, 30, 2,

/* Image data : 1 */
 5922, 30451, -10155, -31255, 1688, 8557,
 -18128, 20433, -13139, -24757, -9480, -27685,
 -3095, 3054, -31820, 3822, -18818, 8637,
 10834, 5556, -31140, 12885, 6739, 2422,
 -30429, -17341, 8651, -32103, 16604, 5740,

/* mask : 1 */
 1, 2, 3, 4, 5,
 6, 7, 8, 9, 10,
 11, 12, 13, 14, 15,
 16, 17, 18, 19, 20,
 21, 22, 23, 24, 25,

/* Function parameters : 2 */
/* use_for_cycle_estimate, width, pitch, shift, round, in_size, out_size */
1, 30, 34, 5, 0, 170, 30,

/* Image data : 2 */
 734, -5543, 19149, -7789, -3205, 22422, -12973, 7659, 15248, -14850, 18860, 10443, -9416, 32697, -22422, 15744, 17947, 332, 2506, 28382, -1045, 26365, 1377, -32690, -32103, 26243, 8305, 2343, 20234, -8398, -7418, 26998, -9676, 3086,
 21135, 25363, -11470, 31371, -4209, 7654, -2072, 16558, 24750, -30891, -17559, 16396, 11174, 23722, -15605, -17937, -19783, 13759, -25966, -11927, -2864, -29981, 2702, 30248, 4696, 7028, -9318, -15097, 14457, 13404, -24006, -14634, -29397, -31313,
 7653, 30861, 26017, 21630, -24399, -10506, -19326, 29299, 12378, -16394, -1578, -3306, -20779, -27988, 4031, 606, -28814, -22716, -6582, 25188, 29913, 10091, -4422, 22091, 12644, 29307, 15251, 21514, -23325, 30954, 28309, 7540, 4056, -17632,
 -30471, 32756, 16069, 5187, -20263, -16624, -13048, -10653, 22104, -20262, 28411, 6622, 8330, 23798, -9177, 28722, -30294, 21328, -442, -31803, 23111, -161, -2927, 26878, -27363, -361, 7638, 30501, 10696, 16085, 1399, -19146, 9928, 20945,
 -32349, -30004, 2343, 11557, 24657, -25678, -14408, 2504, -25514, -10032, 16487, 23731, 17514, 3418, 26048, -15273, 1634, -20978, -31029, -4824, -10289, -21548, 27898, 3449, -24432, 28251, -21532, 15209, 4956, 10676, -6900, -1424, 11694, 27292,

/* mask : 2 */
 13, 3073, 2750, -487, -3795,
 -3214, -2390, 2648, -961, 2833,
 679, 3350, 3311, -33, -416,
 2410, 1558, -2747, -2108, 862,
 -3995, -797, -25, -3582, 228,

/* Function parameters : 3 */
/* use_for_cycle_estimate, width, pitch, shift, round, in_size, out_size */
1, 10, 14, 5, 1, 70, 10,

/* Image data : 3 */
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,

/* mask : 3 */
 9977, -25787, -6700, -23637, 8707,
 -6148, 22892, -8276, 31730, 18816,
 -31100, 14933, -23656, 24626, -29131,
 18188, 31544, -23607, -15545, 32143,
 16039, 17254, -9030, 16695, 30339,

/* Function parameters : 4 */
/* use_for_cycle_estimate, width, pitch, shift, round, in_size, out_size */
0, 8, 12, 5, 0, 60, 8,

/* Image data : 4 */
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,

/* mask : 4 */
 9977, -25787, -6700, -23637, 8707,
 -6148, 22892, -8276, 31730, 18816,
 -31100, 14933, -23656, 24626, -29131,
 18188, 31544, -23607, -15545, 32143,
 16039, 17254, -9030, 16695, 30339,

/* Function parameters : 5 */
/* use_for_cycle_estimate, width, pitch, shift, round, in_size, out_size */
1, 40, 44, 5, 1, 220, 40,

/* Image data : 5 */
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 

/* mask : 5 */
 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767,

/* Function parameters : 6 */
/* use_for_cycle_estimate, width, pitch, shift, round, in_size, out_size */
0, 4, 8, 5, 0, 40, 4,

/* Image data : 6 */
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,

/* mask : 6 */
 -32767, -32767, -32767, -32767, -32767,
 -32767, -32767, -32767, -32767, -32767,
 -32767, -32767, -32767, -32767, -32767,
 -32767, -32767, -32767, -32767, -32767,
 -32767, -32767, -32767, -32767, -32767,

/* Function parameters : 7 */
/* use_for_cycle_estimate, width, pitch, shift, round, in_size, out_size */
1, 12, 16, 5, 1, 80, 12,

/* Image data : 7 */
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,
 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767,

/* mask : 7 */
 -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768,
 -32768, -32768, -32768, -32768, -32768,
};

int testcases = 7;
